Package com.pixelmed.network

# Class UnencapsulatedExplicitStorePresentationContextSelectionPolicy

java.lang.Object
com.pixelmed.network.UnencapsulatedExplicitStorePresentationContextSelectionPolicy

All Implemented Interfaces:
  `PresentationContextSelectionPolicy`

public class UnencapsulatedExplicitStorePresentationContextSelectionPolicy extends Object implements PresentationContextSelectionPolicy

Accept only SOP Classes for storage of composite instances and verification SOP Classes with uncompressed or deflated or bzip but not encapsulated compressed transfer syntaxes, also rejecting implicit VR transfer syntaxes if an explicit VR transfer syntax is offered for the same abstract syntax.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected AbstractSyntaxSelectionPolicy`
`abstractSyntaxSelectionPolicy`
`protected TransferSyntaxSelectionPolicy`
`transferSyntaxSelectionPolicy`

## Constructor Summary

Constructors
Constructor
Description
`UnencapsulatedExplicitStorePresentationContextSelectionPolicy()`

## Method Summary

Modifier and Type
Method
Description
`LinkedList`
`applyPresentationContextSelectionPolicy(LinkedList presentationContexts, int associationNumber)`
Accept or reject Abstract Syntaxes (SOP Classes).
`LinkedList`
`applyPresentationContextSelectionPolicy(LinkedList presentationContexts, int associationNumber, int debugLevel)`
Accept or reject Presentation Contexts.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### abstractSyntaxSelectionPolicy

protected AbstractSyntaxSelectionPolicy abstractSyntaxSelectionPolicy

### transferSyntaxSelectionPolicy

protected TransferSyntaxSelectionPolicy transferSyntaxSelectionPolicy

## Constructor Details

### UnencapsulatedExplicitStorePresentationContextSelectionPolicy

public UnencapsulatedExplicitStorePresentationContextSelectionPolicy()

## Method Details

### applyPresentationContextSelectionPolicy

public LinkedList applyPresentationContextSelectionPolicy(LinkedList presentationContexts, int associationNumber, int debugLevel)
Accept or reject Presentation Contexts. Only SOP Classes for storage of composite instances and verification SOP Classes are accepted.

Specified by:
  `applyPresentationContextSelectionPolicy` in interface `PresentationContextSelectionPolicy`
Parameters:
  `presentationContexts` - a java.util.LinkedList of `PresentationContext` objects, each of which contains an Abstract Syntax (SOP Class UID) with one or more Transfer Syntaxes
  `associationNumber` - for debugging messages
  `debugLevel` - ignored
Returns:
  the java.util.LinkedList of `PresentationContext` objects, as supplied but with the result/reason field set to either "acceptance" or "abstract syntax not supported (provider rejection)" or "transfer syntaxes not supported (provider rejection)" or " no reason (provider rejection)"

### applyPresentationContextSelectionPolicy

public LinkedList applyPresentationContextSelectionPolicy(LinkedList presentationContexts, int associationNumber)
Accept or reject Abstract Syntaxes (SOP Classes). Only SOP Classes for storage of composite instances and verification SOP Classes are accepted.

Specified by:
  `applyPresentationContextSelectionPolicy` in interface `PresentationContextSelectionPolicy`
Parameters:
  `presentationContexts` - a java.util.LinkedList of `PresentationContext` objects, each of which contains an Abstract Syntax (SOP Class UID) with one or more Transfer Syntaxes
  `associationNumber` - for debugging messages
Returns:
  the java.util.LinkedList of `PresentationContext` objects, as supplied but with the result/reason field set to either "acceptance" or "abstract syntax not supported (provider rejection)" or "transfer syntaxes not supported (provider rejection)" or " no reason (provider rejection)"